#!/bin/bash

delete_file() {
    local file_path="$1"
    # 检查文件是否存在
    if [ -e "$file_path" ]; then
        rm -rf "$file_path"
        echo "已删除：$file_path"
    fi
}

# 删除锁屏背景
delete_file '/usr/share/backgrounds/loongnix'
delete_file '/usr/share/gnome-background-properties/debain-loongnix.xml'

# 修改默认桌面背景和锁屏登陆背景
delete_file '/usr/share/glib-2.0/schemas/26_loongnix-default-settings.gschema.override'
delete_file '/usr/share/desktop-base/loongnix-theme'

# 删除登陆背景
delete_file '/usr/share/cartoon-artwork/login-bg.png'

# 删除默认用户头像配置文件
delete_file '/var/lib/AccountsService/users/loongson'

# 删除cartoon-panel layout
delete_file '/usr/share/cartoon-panel/layouts/loongnix.layout'

# 删除Loongnix主题到系统主题目录
delete_file '/usr/share/themes/Loongnix'
# 复制Loongnix-Icon主题到系统Icon主题目录
delete_file '/usr/share/icons/Loongnix-Icon'
# 复制loongnix开机动画主题到系统开机动画主题目录
delete_file '/usr/share/plymouth/themes/loongnix'
